Page MenuHomeFreeBSD

net/zerotier: wait for ONLINE status before booting
ClosedPublic

Authored by dch on Dec 12 2018, 7:09 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dch created this revision.Dec 12 2018, 7:09 PM
mat added a comment.Dec 12 2018, 9:52 PM

Does this pass rclint?

dch added a comment.Dec 12 2018, 11:14 PM

The underlying issue I'm trying to fix is to get the interfaces up and have an
IP available *before* we allow pf|ipfw to run. I'm pretty sure that this doesn't
actually do what I want at present, but I've not figured out a good way of
debugging things that early in the boot phase.

dch updated this revision to Diff 52239.EditedDec 22 2018, 11:28 AM
dch edited the summary of this revision. (Show Details)
  • updated diff removes hardcoded paths, cleaned for rclint
  • confirmed it really does work when zerotier is newly installed and after joining a secure network
  • found it blocks the boot completely if the environment uses static IP rather than DHCP
  • see https://github.com/zerotier/ZeroTierOne/issues/900 for community feedback
mat added inline comments.Dec 24 2018, 11:20 AM
net/zerotier/files/zerotier.in
38 ↗(On Diff #52239)

This is probably wrong, and should be PREFIX.

44 ↗(On Diff #52239)

PREFIX here too, no?

dch updated this revision to Diff 57627.May 21 2019, 12:17 PM

merge in DHCP handling and fix nits

dch updated this revision to Diff 57629.May 21 2019, 12:29 PM

handle wait loop vars correctly

dch marked 2 inline comments as done.May 21 2019, 12:30 PM
dch updated this revision to Diff 57630.May 21 2019, 12:31 PM

remove local.conf we do not want to provide one but we refer people
to online docs in pkg-message instead.

dch abandoned this revision.May 22 2019, 9:28 AM

seems we have doubled up, D19229 is the place to B....SD.

dch reclaimed this revision.May 22 2019, 9:30 AM

facepalm nope need this, wrong browser tab :(

jrm accepted this revision.May 22 2019, 4:29 PM

poudriere testport 11.2/12.0 i386/amd64 pass. rclint reports one error about clobbering blank values for non-mandatory variables : ${zerotier_wait_for_net:=NO}, but this seems reasonable.

This revision is now accepted and ready to land.May 22 2019, 4:29 PM
This revision was automatically updated to reflect the committed changes.